RussianAnalyzer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.ru.RussianAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ru
Class RussianAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ru.RussianAnalyzer

    public final class RussianAnalyzer

extends Analyzer

Analyzer for Russian language. Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

Version:
  $Id: RussianAnalyzer.java 692921 2008-09-07 19:22:40Z mikemccand $

Constructor Summary
`RussianAnalyzer()`
`RussianAnalyzer(char[] charset)` Builds an analyzer.
`RussianAnalyzer(char[] charset, Map stopwords)` Builds an analyzer with the given stop words.
`RussianAnalyzer(char[] charset, String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`TokenStream` | `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianAnalyzer

    public RussianAnalyzer()

### RussianAnalyzer

    public RussianAnalyzer(char[] charset)

  Builds an analyzer.

### RussianAnalyzer

    public RussianAnalyzer(char[] charset,
                           String[] stopwords)

  Builds an analyzer with the given stop words.

### RussianAnalyzer

    public RussianAnalyzer(char[] charset,
                           Map stopwords)

  Builds an analyzer with the given stop words.

  To Do:
    create a Set version of this ctor

Method Detail

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided Reader.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A TokenStream build from a RussianLetterTokenizer filtered with RussianLowerCaseFilter, StopFilter, and RussianStemFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.